Summary:	Cpu-freq plugins for Xfce desktop
Summary(de):	Cpu-freq Erweiterung für das Xfce-Panel
Name:		xfce4-cpu-freq-plugin
Version:	1.1.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-cpu-freq-plugin
Source0:	http://goodies.xfce.org/releases/xfce4-cpufreq-plugin/xfce4-cpufreq-plugin-%{version}.tar.xz
Requires:	xfce4-panel >= 4.4.2
Requires:       glibc >= 2.10.1
Requires:       libstdc++6 >= 4.4.1
BuildRequires:	pango-devel
BuildRequires:	cairo-devel
BuildRequires:	gtk2-devel
BuildRequires:	glib2-devel
BuildRequires:	libpthread-stubs
BuildRequires:  xfce4-panel-devel >= 4.4.2
BuildRequires:	libxfce4ui-devel
BuildRequires:	libxfce4util-devel
BuildRequires:	perl(XML::Parser)
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version

%description
cpu freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

#german
%description -l de
CPU Freq-Plugin für die Xfce Desktop Environment. Es bietet ein 
einfaches System für die Verwaltung der Frequenz der CPU.

#french
%description -l fr
cpu freq plugin pour l'environnement de bureau Xfce. Il fournit une
simple système pour gérer la fréquence du CPU.

#spanish
%description -l es
plugin CPU FREQ para el entorno de escritorio Xfce. Proporciona una
sistema simple de gestión de la frecuencia de la CPU.

#polish
%description -l pl
cpu freq plugin for the Xfce Desktop Environment. It provides a
simple system for managing the frequency of the CPU.

#serbian
%description -l sr
ЦПУ уестаности плугин за Ксфце Десктоп окружење. Она пружа 
једноставан систем за управљање фреквенцију процесора.

#dutch
%description -l nl
cpu freq plugin voor de Xfce Desktop Environment. Het biedt een 
eenvoudig systeem voor het beheer van de frequentie van de CPU.

%prep

%setup -qn xfce4-cpufreq-plugin-%{version}

./autogen.sh --prefix=/usr --libdir=%{_libdir}


%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS
%{_libdir}/xfce4/panel/plugins/*
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo


%changelog
* Mon Nov 14 2016 adrianomorselli <adrianomorselli> 1.1.3-1uplos2016
- rebuild

* Sat May 28 2016 ghostbunny <ghostbunny at gmx dot de> 1.1.3-1pclos2016
- 1.1.3

* Sun Jul 12 2015 ghostbunny <ghostbunny at gmx dot de> 1.1.2-1pclos2015
- 1.1.2
- add missing BR gettext-devel

* Sat Mar 07 2015 ghostbunny <ghostbunny at gmx dot de> 1.1.1-2pclos2015
- rebuild against new libxfce4util7

* Thu Jan 15 2014 ghostbunny <ghostbunny at gmx dot de> 1.1.1-1pclos2014
- 1.1.1
- drop deprecated BR libxfcegui4-devel
- add BR libxfce4ui-devel, libxfce4util-devel, gtk2-devel, pango-devel, cairo-devel
  glib2-devel, libpthread-stubs
- fix files section for new directory structure

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.0.1-3pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.0.1-3pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.0.1-3pclos2012
- rebuild against new xfce4 panel and libxfce4util
- added/fixed german summary and description

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.1-2pclos2012
- rebuild

* Fri Mar 25 2011 Texstar <texstar at gmail.com> 1.0.1-1pclos2011
- 1.0.1

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.0-1pclos2011
- updated for xfce4.8

* Sun Nov 14 2010 Sproggy <desproggster@gmail.com> 0.0.1-3pclos2010
- 0.0.1 update for xfce4.8pre1

* Wed Oct 07 2009 Neal <nealbrks0@gmail.com> 0.0.1-2
- gcc update

* Mon Apr 06 2009 pcserver <pcserver@hushmail.com> 0.0.1-pclos2007
- create
